Websites - Remove Allowed Ip Addresses

Remove allowed IP addresses from a Power Pages website.
Removes the specified IP addresses from the website's IP restriction allow list.

POST https://api.powerplatform.com/powerpages/environments/{environmentId}/websites/{id}/removeAllowedIpAddresses?api-version=2024-10-01

URI Parameters

Name In Required Type Description
environmentId
path True

string

The environment ID.

id
path True

string

Website unique identifier (ID).

api-version
query True

string

The API version.

Request Body

Name Type Description
IpAddresses

IpAddressEntity[]

Represents an IP address entry in the allow list.

Responses

Name Type Description
204 No Content

Success

400 Bad Request

ErrorMessage

Bad Request

401 Unauthorized

ErrorMessage

Unauthorized

404 Not Found

ErrorMessage

Not Found

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
Details
Error
ErrorMessage
IpAddressConfiguration
IpAddressEntity

Represents an IP address entry in the allow list.

IpAddressType

The type of the IP address.

Details

Name Type Description
code

string

Error code

message

string

Error message

target

string

Target parameter

Error

Name Type Description
code

string

Error code

details

Details[]

message

string

Error message

target

string

Target parameter

ErrorMessage

Name Type Description
error

Error

IpAddressConfiguration

Name Type Description
IpAddresses

IpAddressEntity[]

Represents an IP address entry in the allow list.

IpAddressEntity

Represents an IP address entry in the allow list.

Name Type Description
IpAddress

string

The IP address or CIDR range (e.g., "208.130.0.0/16")

IpAddressType

IpAddressType

The type of the IP address.

IpAddressType

The type of the IP address.

Value Description
IPv4
IPv6